Package org.eclipse.emf.cdo.server.spi.security

# Class HomeFolderHandler.Factory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler.Factory
org.eclipse.emf.cdo.server.spi.security.HomeFolderHandler.Factory

All Implemented Interfaces:
  `org.eclipse.net4j.util.container.IManagedContainer.ContainerAware`, `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Enclosing class:
  `HomeFolderHandler`

public static class HomeFolderHandler.Factory extends InternalSecurityManager.CommitHandler.Factory implements org.eclipse.net4j.util.container.IManagedContainer.ContainerAware
Creates `InternalSecurityManager.CommitHandler` instances.

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler.Factory

`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Factory()`

## Method Summary

Modifier and Type
Method
Description
`InternalSecurityManager.CommitHandler`
`create(String homeFolder)`
`void`
`setManagedContainer(org.eclipse.net4j.util.container.IManagedContainer container)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Factory

public Factory()

## Method Details

### setManagedContainer

public void setManagedContainer(org.eclipse.net4j.util.container.IManagedContainer container)

Specified by:
  `setManagedContainer` in interface `org.eclipse.net4j.util.container.IManagedContainer.ContainerAware`

### create

public InternalSecurityManager.CommitHandler create(String homeFolder) throws org.eclipse.net4j.util.factory.ProductCreationException

Specified by:
  `create` in interface `org.eclipse.net4j.util.factory.IFactory`
Specified by:
  `create` in class `InternalSecurityManager.CommitHandler.Factory`
Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`